package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.control.Button;
import javafx.scene.control.Tooltip;

public class OGButton extends Button {
  
  public OGButton(final String text, final String tooltip, final Runnable action) {
    super(text);
    
    getStylesheets().add("/de/kreawi/trainer/dialogs/onlineGame/online_game.css");
    
    setTooltip(new Tooltip(tooltip));
    
    setOnAction(new EventHandler<ActionEvent>() {
      @Override
      public void handle(ActionEvent event) {
        action.run();
      }
    });
  }
  
  public static OGButton generateRejectButton(final String tooltip, final Runnable action) {
    return new OGButton("X", tooltip, action);
  }

}
