package de.kreawi.trainer.dialogs.selection;

import java.util.Map;

import javax.swing.Action;

import com.jquizengine.questions.collection.QuestionPool;

import de.kreawi.trainer.TrainerFrame;
import de.kreawi.trainer.TrainerFrame.Actions;
import de.kreawi.trainer.TrainerModel;

public abstract class ICUSelectionDialog extends ListSelectionDialog {

	private static final long serialVersionUID = -6286922295281355572L;

  public ICUSelectionDialog(TrainerFrame mainframe, TrainerModel model, Map<Actions, Action> actionMap,
      QuestionPool questionPool) {
    super(mainframe, model, actionMap, questionPool);
  }
	
	protected boolean showCardBoxPanel() {
	  return false;
	}

	@Override
	protected boolean showCardBoxFilterOption() {
		return false;
	}
	
	@Override
	protected boolean showICU() {
		return false;
	}

	@Override
	protected boolean showExams() {
		return true;
	}

	@Override
	protected boolean useICUQuestionsOnly() {
		return true;
	}

	@Override
	protected boolean isTotalDependsOnFilter() {
		return true;
	}
	
	@Override
	protected boolean showCategoryColors() {
		return false;
	}

}
