package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import java.util.List;

import de.kreawi.trainer.dialogs.onlineGame.OnlineGameContainer;
import de.kreawi.trainer.onlinegame.entities.OnlineGameQuiz;
import javafx.scene.layout.VBox;

public class QuizListView extends VBox {
  
  private final List<OnlineGameQuiz> quizList;
  private final OnlineGameContainer ogc;

  public QuizListView(final List<OnlineGameQuiz> quizList, final OnlineGameContainer ogc) {
    super();
    this.quizList = quizList;
    this.ogc = ogc;
    
    setFillWidth(true);

    for (OnlineGameQuiz quiz : this.quizList) {
      final QuizListItemView item = new QuizListItemView(quiz, this.ogc);
      item.minWidthProperty().bind(minWidthProperty());
      getChildren().add(item);
    }
  }

}
