package de.kreawi.trainer.dialogs.quiz;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;

@SuppressWarnings("unused")
public class QuizTimeTracker implements Serializable {
	
	private static final long serialVersionUID = 9177650579432947505L;
	
	private transient boolean isRunning;
	
	private long questionTime = 0;
	
	private long lastInterval = 0;
	
	private long overallQuestionDuration = 0;
	
	public boolean isRunning() {
		return isRunning;
	}

	private void readObject(ObjectInputStream s) throws IOException,
			ClassNotFoundException {
		s.defaultReadObject();

		isRunning = s.readBoolean();
	}

	public long getQuestionTime() {
		return questionTime;
	}
	
	public long getOverallQuestionDuration() {
		return overallQuestionDuration;
	}
}
