package de.kreawi.trainer.util.swingx;

import java.util.regex.Pattern;

import org.jdesktop.swingx.JXTable;
import org.jdesktop.swingx.decorator.PatternFilter;

public class CellStringFiltering extends AbstractStringFiltering {
	private int column;

	public CellStringFiltering(JXTable table, int column) {
		super(table);
		this.column = column;
	}

	protected PatternFilter createSearchFilter(final String filterString) {

		return new PatternFilter(".*" + filterString + ".*",
				Pattern.CASE_INSENSITIVE, this.column);

	}

}
